| Face Engine SDK 5.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::ILivenessFlowEstimator Struct Referenceabstract

Liveness flow estimator interface. More...

`#include <ILivenessFlowEstimator.h>`

Inheritance diagram for fsdk::ILivenessFlowEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &small, Span< const Image > frames, double &score) const noexcept=0
| Check if correct optical flow can be calculated from input images. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Liveness flow estimator interface.

Note
  This estimator is designed for liveness detection. It works with 1 close-range face crop and 10 long-range face crops estimating correctness of optical flow between theese frames.
  Required input images - 96x96 face warp central crops.

See Also
  IWarper for details.

## Member Function Documentation

virtual Result<FSDKError> fsdk::ILivenessFlowEstimator::estimate | ( | const Image & | small,
|  | Span< const Image > | frames,
|  | double & | score
| ) |  | const
| pure virtual noexcept

Check if correct optical flow can be calculated from input images.

Parameters

  [in] | small | face crop.
  [in] | frames | span of big face crops.
  [out] | score | estimation result.

Returns
  Result with error code.

See Also
  Span, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See Also
  Format.

Note
  all spans should be based on user owned continuous collections.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/ILivenessFlowEstimator.h